import dynamix_sdk.base as _base


class CloudapiComputeGuestAgentFeatureUpdateResultBool(
    _base.BaseAPIResultBool,
):
    pass


class CloudapiComputeGuestAgentFeatureUpdateProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def guest_agent_feature_update(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeGuestAgentFeatureUpdateResultBool:
        ...
